# Generated by Django 3.0.5 on 2020-06-03 12:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cabinet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='кабинет')),
                ('html_classes', models.CharField(blank=True, default='', max_length=255, verbose_name='стили HTML')),
            ],
            options={
                'verbose_name': 'кабинет',
                'verbose_name_plural': 'кабинеты',
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, verbose_name='наименование')),
            ],
            options={
                'verbose_name': 'услуга',
                'verbose_name_plural': 'услуги',
            },
        ),
        migrations.CreateModel(
            name='Appointment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField(verbose_name='время начала')),
                ('end_time', models.DateTimeField(verbose_name='время окончания')),
                ('cabinet', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='appointments.Cabinet', verbose_name='кабинет')),
            ],
            options={
                'verbose_name': 'запись к врачу',
                'verbose_name_plural': 'записи к врачам',
                'ordering': ['start_time'],
            },
        ),
    ]
